<!DOCTYPE html>
<html>
<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Course 365 - Unlimited courses </title>
  
  <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
  
  <!-- Các file css và js tự định nghĩa thêm -->
  <link rel="stylesheet" href="style.css">
  <script src="script.js"></script>
</head>
<body onload="onPageLoading()">
    <!-- 1. Header - Navbar menu -->
    <nav class="navbar navbar-light bg-light navbar-expand-lg fixed-top ">
      <!-- Brand -->
      <a class="navbar-brand" href="#">
          <img src="images/Ionic_logo.png">
      </a>    
      <div class="collapse navbar-collapse" id="collapsibleNavbar">
         <!-- Links -->
        <ul class="navbar-nav mr-auto">
          <li class="nav-item">
            <a class="nav-link font-weight-bold" href="#">Home</a>
          </li>
            <!-- Dropdown -->
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbardrop" data-toggle="dropdown">
              Browse courses
            </a>
            <div class="dropdown-menu">
              <a class="dropdown-item" href="#">Link a</a>
              <a class="dropdown-item" href="#">Link b</a>
              <a class="dropdown-item" href="#">Link c</a>
            </div>
          </li>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbardrop" data-toggle="dropdown">
              About us
            </a>
            <div class="dropdown-menu">
              <a class="dropdown-item" href="#">Link 1</a>
              <a class="dropdown-item" href="#">Link 2</a>
              <a class="dropdown-item" href="#">Link 3</a>
            </div>
          </li>
        </ul>
        <form class="form-inline ">
            <i class="fa fa-search text-secondary position-absolute ps-icon-search pl-2"></i>
            <input class="form-control mr-sm-3 ps-input-search" type="search" placeholder="&nbsp;&nbsp;&nbsp;&nbsp;Search Courses"
              aria-label="Search">
            <button class="btn btn-outline-primary" type="button">Search</button>
          </form>
      </div>
    </nav>
    <!-- 2. Slide body -->
    <div class="container-fluid bg-info text-white ">
        <div class="container">
            <div class="row form-group pt-5 align-items-center">
                <div class="col-sm-6 ">
                    <h1>Welcome to Ionic Course 365 Learning Center</h1>
                    <p>Ionic Course365 is an online learning and teaching marketplace with over 5000 courses and 1 million students. 
                        Instructor and expertly crafted courses, designed for the modern students and entrepreneur.
                    </p>
                    <div>
                        <button class="btn btn-warning"> Browse course</button>
                        <button class="btn btn-outline-secondary bg-light">Become an instructor</button>
                    </div>
                </div>
                <div class="col-sm-6">
                    <img src="images/ionic-207965.png" style="height: 50%; width:70%">
                </div>
            
            </div>
        </div>
    </div>
    <!-- 3. Courses content -->
    <div class="container-fluid">
        <!-- Recommended courses -->
        <div class="container mt-5">
            <div class="row">
                <h4>Recommended to you</h4>
            </div>
            <div class="card-deck mt-3">
                <div class="card border-secondary" >
                    <img src="images/courses/course-angular.jpg" class="card-img-top">
                    <div class="card-body">
                        <dt class="text-primary">How to easily create a website with Angular</dt>
                        <p><i class="far fa-clock"></i> 3h 56m Beginer</p>
                        <dt>$600 <span style="text-decoration-line: line-through; color: gray;">$750</span><dt>
                    </div>
                    <div class="card-footer">
                        <div class="row">
                            <img src="images/teacher/morris_mccoy.jpg" class="rounded-circle" style="height:90%;width:20%;">
                            <p style="position: absolute;right:30%;top:85%"> Morris Mccoy</p>
                            <i class="far fa-bookmark "style="position: absolute;right:10%;top:86%"></i>
                        </div>
                    </div>
                </div>
                <div class="card border-secondary" >              
                    <img src="images/courses/course-python.jpg" class="card-img-top" >                  
                    <div class="card-body">
                        <dt class="text-primary">The Python Course: build web application</dt>
                        <p><i class="far fa-clock"></i> 4h 30m Advanced</p>
                        <dt>$900 <span style="text-decoration-line: line-through; color: gray;">$1050</span></dt>
                    </div>
                    <div class="card-footer">
                        <div class="row">
                            <img src="images/teacher/claire_robertson.jpg" class="rounded-circle" style="height:90%;width:20%;">
                            <p style="position: absolute;right:30%;top:85%"> Claire Robertson</p>
                            <i class="far fa-bookmark" style="position: absolute;right:10%;top:86%"></i>
                        </div>                       
                    </div>
                </div>
                <div class="card border-secondary">                   
                    <img src="images/courses/course-graphql.jpg" class="card-img-top">                   
                    <div class="card-body">
                        <dt class="text-primary">GraphQL: introduction to graphQL for beginners</dt>
                        <p><i class="far fa-clock"></i> 2h 15m Intermediate</p>
                        <dt>$650 <span style="text-decoration-line: line-through; color: gray;">$850</span></dt>
                    </div>
                    <div class="card-footer">
                        <div class="row">
                            <img src="images/teacher/ted_hawkins.jpg" class="rounded-circle" style="height:90%;width:20%">
                            <p style="position: absolute;right:30%;top:85%"> Ted Hawkinsn</p>
                            <i class="far fa-bookmark"style="position: absolute;right:10%;top:86%"></i>
                        </div>                       
                    </div>
                </div>
                <div class="card border-secondary">
                    <img src="images/courses/course-javascript.jpg" class="card-img-top">
                    <div class="card-body">
                        <dt class="text-primary">Getting Started with JavaScript</dt>
                        <p><i class="far fa-clock"></i> 3h 34m Beginer</p>
                        <dt>$300 <span style="text-decoration-line: line-through; color: gray;">$550</span></dt>
                    </div>
                    <div class="card-footer">
                        <div class="row">
                            <img src="images/teacher/ted_hawkins.jpg" class="rounded-circle" style="height:90%;width:20%">
                            <p style="position: absolute;right:30%;top:85%"> Ted Hawkins</p>
                            <i class="far fa-bookmark"style="position: absolute;right:10%;top:86%"></i>
                        </div>                       
                    </div>
                </div>
            </div>
        </div>
         <!-- Most popular courses -->
        <div class="container mt-5">
            <div class="row">
                <h4>Most popular</h4>
            </div>
            <div class="card-deck mt-3">
                <div class="card border-secondary" >
                    <img id="popularCardCoverImage_0" class="card-img-top">
                    <div class="card-body">
                        <dt id="popularCardCourseName_0" class="text-primary"></dt>
                        <p id="popularCardDuration_0"></p>
                        <dt id="popularCardPriceDiscount_0"><dt>
                    </div>
                    <div class="card-footer">
                        <div class="row">
                            <img id="popularCardTeacherImage_0" class="rounded-circle" style="height:90%;width:20%;">
                            <p id="popularCardTeacherName_0" style="position: absolute;right:30%;top:85%"> </p>
                            <i class="far fa-bookmark "style="position: absolute;right:10%;top:86%"></i>
                        </div>
                    </div>
                </div>
                <div class="card border-secondary" >              
                    <img id="popularCardCoverImage_1" class="card-img-top" >                  
                    <div class="card-body">
                        <dt id="popularCardCourseName_1" class="text-primary"></dt>
                        <p id="popularCardDuration_1"></p>
                        <dt id="popularCardPriceDiscount_1"></dt>
                    </div>
                    <div class="card-footer">
                        <div class="row">
                            <img id="popularCardTeacherImage_1" class="rounded-circle" style="height:90%;width:20%;">
                            <p id="popularCardTeacherName_1" style="position: absolute;right:30%;top:85%"> </p>
                            <i class="far fa-bookmark" style="position: absolute;right:10%;top:86%"></i>
                        </div>                       
                    </div>
                </div>
                <div class="card border-secondary">                   
                    <img id="popularCardCoverImage_2" class="card-img-top">                   
                    <div class="card-body">
                        <dt id="popularCardCourseName_2" class="text-primary"></dt>
                        <p id="popularCardDuration_2"></p>
                        <dt id="popularCardPriceDiscount_2"></dt>
                    </div>
                    <div class="card-footer">
                        <div class="row">
                            <img id="popularCardTeacherImage_2" class="rounded-circle" style="height:90%;width:20%">
                            <p id="popularCardTeacherName_2" style="position: absolute;right:30%;top:85%"> </p>
                            <i class="far fa-bookmark"style="position: absolute;right:10%;top:86%"></i>
                        </div>                       
                    </div>
                </div>
                <div class="card border-secondary">
                    <img id="popularCardCoverImage_3" class="card-img-top">
                    <div class="card-body">
                        <dt id="popularCardCourseName_3" class="text-primary"></dt>
                        <p id="popularCardDuration_3"></p>
                        <dt id="popularCardPriceDiscount_3"></dt>
                    </div>
                    <div class="card-footer">
                        <div class="row">
                            <img id="popularCardTeacherImage_3" class="rounded-circle" style="height:90%;width:20%">
                            <p id="popularCardTeacherName_3" style="position: absolute;right:30%;top:85%"> </p>
                            <i class="far fa-bookmark"style="position: absolute;right:10%;top:86%"></i>
                        </div>                       
                    </div>
                </div>
            </div>
        </div>
         <!-- Trend courses -->
        <div class="container mt-5">
            <div class="row">
                <h4>Trending</h4>
            </div>
            <div class="card-deck mt-3">
                <div class="card border-secondary" >
                    <img id="trendingCardCoverImage_0" class="card-img-top">
                    <div class="card-body">
                        <dt class="text-primary" id="trendingCardCourseName_0"></dt>
                        <p id="trendingCardDuration_0"></p>
                        <dt id="trendingCardPriceDiscount_0"> <dt>
                    </div>
                    <div class="card-footer">
                        <div class="row">
                            <img id="trendingCardTeacherImage_0" class="rounded-circle" style="height:90%;width:20%;">
                            <p id="trendingCardTeacherName_0" style="position: absolute;right:30%;top:85%"> </p>
                            <i class="far fa-bookmark "style="position: absolute;right:10%;top:86%"></i>
                        </div>
                    </div>
                </div>
                <div class="card border-secondary" >              
                    <img id="trendingCardCoverImage_1" class="card-img-top" >                  
                    <div class="card-body">
                        <dt class="text-primary" id="trendingCardCourseName_1"></dt>
                        <p id="trendingCardDuration_1"></p>
                        <dt id="trendingCardPriceDiscount_1"></dt>
                    </div>
                    <div class="card-footer">
                        <div class="row">
                            <img id="trendingCardTeacherImage_1" class="rounded-circle" style="height:90%;width:20%;">
                            <p id="trendingCardTeacherName_1" style="position: absolute;right:30%;top:85%"> </p>
                            <i class="far fa-bookmark" style="position: absolute;right:10%;top:86%"></i>
                        </div>                       
                    </div>
                </div>
                <div class="card border-secondary">                   
                    <img id="trendingCardCoverImage_2" class="card-img-top">
                    <div class="card-body">
                        <dt class="text-primary" id="trendingCardCourseName_2"></dt>
                        <p id="trendingCardDuration_2"> </p>
                        <dt id="trendingCardPriceDiscount_2"><dt>
                    </div>
                    <div class="card-footer">
                        <div class="row">
                            <img id="trendingCardTeacherImage_2" class="rounded-circle" style="height:90%;width:20%;">
                            <p id="trendingCardTeacherName_2" style="position: absolute;right:30%;top:85%"> </p>
                            <i class="far fa-bookmark "style="position: absolute;right:10%;top:86%"></i>
                        </div>                       
                    </div>
                </div>
                <div class="card border-secondary">
                    <img id="trendingCardCoverImage_3" class="card-img-top">
                    <div class="card-body">
                        <dt class="text-primary" id="trendingCardCourseName_3"></dt>
                        <p id="trendingCardDuration_3"> </p>
                        <dt id="trendingCardPriceDiscount_3"></dt>
                    </div>
                    <div class="card-footer">
                        <div class="row">
                            <img id="trendingCardTeacherImage_3" class="rounded-circle" style="height:90%;width:20%">
                            <p id="trendingCardTeacherName_3" style="position: absolute;right:30%;top:85%"></p>
                            <i class="far fa-bookmark"style="position: absolute;right:10%;top:86%"></i>
                        </div>                       
                    </div>
                </div>
            </div>
        </div>

    </div>
    <!-- 4. Footer -->
    <div class="container mt-5">
        <div class="row">
            <div class="col-sm-6 text-center">
                <p><span> <i class="far fa-copyright"></i> </span>2021 Ionic Course365. All Rights Reserved.</p>
            </div>
            <div class="col-sm-6 text-right text-primary">
                <a class="mr-3">Privacy</a>
                <a class="mr-3">Terms</a>
                <a class="mr-3">Feedback</a>
                <a class="mr-3">Support</a>
            </div>
        </div>
    </div>
</body>
<script>
   
        
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    var gTrendingCourses = [];
    var gTrendingCardIndex = 0;

    var gPolularCourses = []
    var gPopularCardindex = 0;

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading(){
     /*** Load dữ liệu vào trending course */
        //1. Đọc dữ liệu
        //không có
        //2 kiểm tra dữ liệu
        //không có
        //3. lấy dữ liệu từ server
        getTrendingCourseData();
        console.log (gTrendingCourses);
        //4. hiển thị dữ liệu lên card
        loadTrendingCoursesDataToCards();
     /*** Load dữ liệu vào popular course */
        //1. Đọc dữ liệu
        //không có
        //2 kiểm tra dữ liệu
        //không có
        //3. lấy dữ liệu từ server
        getPopularCourseData();
        console.log (gPolularCourses);
        //4. hiển thị dữ liệu lên card
        loadPopularCoursesDataToCards()
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    //hàm load dữ liệu trending course lên cards 
    function loadTrendingCoursesDataToCards(){
        for (let bI = 0; bI<gTrendingCourses.length; bI++){
                console.log($('#trendingCardCoverImage_'+ gTrendingCardIndex  ))

                $('#trendingCardCoverImage_'+ gTrendingCardIndex).attr('src',gTrendingCourses[bI].coverImage);
                $('#trendingCardCourseName_' + gTrendingCardIndex).html(gTrendingCourses[bI].courseName);
                $('#trendingCardDuration_' + gTrendingCardIndex)
                .html('<span class="far fa-clock"></span>' + " " + gTrendingCourses[bI].duration + " " + gTrendingCourses[bI].level);
                $('#trendingCardPriceDiscount_' + gTrendingCardIndex)
                .html('$' +  gTrendingCourses[bI].discountPrice + " " + 
                '<span style="text-decoration-line: line-through; color: gray;">'+ gTrendingCourses[bI].price + '</span>');
                $('#trendingCardTeacherImage_'+ gTrendingCardIndex).attr('src',gTrendingCourses[bI].teacherPhoto);
                $('#trendingCardTeacherName_'+ gTrendingCardIndex).html(gTrendingCourses[bI].teacherName);

                gTrendingCardIndex ++
        }
    }
    //hàm load dữ liệu trending course lên cards 
    function loadPopularCoursesDataToCards(){
        for (let bI = 0; bI<gPolularCourses.length; bI++){
                console.log($('#popularCardCoverImage_'+ gPopularCardindex   ))

                $('#popularCardCoverImage_'+ gPopularCardindex ).attr('src',gPolularCourses[bI].coverImage);
                $('#popularCardCourseName_' + gPopularCardindex ).html(gPolularCourses[bI].courseName);
                $('#popularCardDuration_' + gPopularCardindex )
                .html('<span class="far fa-clock"></span>' + " " + gPolularCourses[bI].duration + " " + gPolularCourses[bI].level);
                $('#popularCardPriceDiscount_' + gPopularCardindex )
                .html('$' +  gPolularCourses[bI].discountPrice + " " + 
                '<span style="text-decoration-line: line-through; color: gray;">'+ gPolularCourses[bI].price + '</span>');
                $('#popularCardTeacherImage_'+ gPopularCardindex ).attr('src',gPolularCourses[bI].teacherPhoto);
                $('#popularCardTeacherName_'+ gPopularCardindex ).html(gPolularCourses[bI].teacherName);

                gPopularCardindex  ++
        }
    }
    //hàm lấy dữ liệu các khóa học là trending 
        function getTrendingCourseData(){
            for (bI = 0; bI<gCoursesDB.courses.length;bI++){
                if (gCoursesDB.courses[bI].isTrending ==true){
                    gTrendingCourses.push(gCoursesDB.courses[bI])
                }
            }
            return gTrendingCourses;
        }   
    //hàm lấy dữ liệu các khóa học là popular
    function getPopularCourseData(){
            for (bI = 0; bI<gCoursesDB.courses.length;bI++){
                if (gCoursesDB.courses[bI].isPopular ==true){
                    gPolularCourses.push(gCoursesDB.courses[bI])
                }
            }
            return gPolularCourses;
        }   
   
</script>
</html>